using Hcs.Client;
using System;

namespace Hcs.TestApp.Scenario
{
    internal class OrgRegistryCommonScenario(UniClient client)
    {
        private readonly UniClient client = client;

        internal void ExportDataProvider()
        {
            var result = client.OrgRegistryCommon.ExportDataProviderAsync(true).Result;
            Console.WriteLine("Scenario execution " + (result != null ? "succeeded" : "failed"));
        }

        internal void ExportOrgRegistry()
        {
            var result = client.OrgRegistryCommon.ExportOrgRegistryAsync("1031402044145", string.Empty).Result;
            Console.WriteLine("Scenario execution " + (result != null ? "succeeded" : "failed"));
        }
    }
}
